summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorR Daneel2015-07-23 22:24:01 +0800
committerR Daneel2015-07-23 22:24:01 +0800
commit8b052a32a433e6bf493601f637f655ac56b18732 (patch)
treeca52a47fdf8d3eca963257362936b8300af254d5
downloadaur-8b052a32a433e6bf493601f637f655ac56b18732.tar.gz
Importing from old AUR
-rw-r--r--.SRCINFO16
-rwxr-xr-xPKGBUILD26
-rwxr-xr-xttf-malayalam-fonts.install15
3 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0e869fc6aa6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = ttf-malayalam-font-anjalioldlipi
+ pkgdesc = This is Anjali Old Lipi, a font belonging to a set of TrueType and OpenType fonts released under the GNU General Public License for Malayalam Language.
+ pkgver = 6.1.1
+ pkgrel = 1
+ url = http://smc.org.in/fonts/
+ install = ttf-malayalam-fonts.install
+ arch = any
+ depends = fontconfig
+ depends = xorg-font-utils
+ source = http://smc.org.in/downloads/fonts/anjalioldlipi/AnjaliOldLipi.ttf
+ source = https://gitlab.com/smc/anjalioldlipi/raw/master/67-smc-anjalioldlipi.conf
+ md5sums = 2b00102dd4afc0b2bbd7aad663eb584e
+ md5sums = 9b343beb71398383af33988a9829bc05
+
+pkgname = ttf-malayalam-font-anjalioldlipi
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..efa6e092846
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Contributor: Aashik S aashiks at gmail dot com
+# Maintainer: http://smc.org.in
+# Contributor: Akshay S Dinesh asdofindia at gmail dot com
+
+pkgname=ttf-malayalam-font-anjalioldlipi
+pkgver=6.1.1
+pkgrel=1
+pkgdesc="This is Anjali Old Lipi, a font belonging to a set of TrueType and OpenType fonts released
+under the
+GNU General Public License for Malayalam Language."
+arch=(any)
+url="http://smc.org.in/fonts/"
+depends=(fontconfig xorg-font-utils)
+source=("http://smc.org.in/downloads/fonts/anjalioldlipi/AnjaliOldLipi.ttf"
+ "https://gitlab.com/smc/anjalioldlipi/raw/master/67-smc-anjalioldlipi.conf")
+md5sums=('2b00102dd4afc0b2bbd7aad663eb584e'
+ '9b343beb71398383af33988a9829bc05')
+install=ttf-malayalam-fonts.install
+
+
+package() {
+ mkdir -p "${pkgdir}/usr/share/fonts/TTF" || return 1
+ install -m644 *.ttf "${pkgdir}/usr/share/fonts/TTF"
+ mkdir -p "${pkgdir}/etc/fonts/conf.d" || return 1
+ install *.conf "${pkgdir}/etc/fonts/conf.d" || return 1
+}
diff --git a/ttf-malayalam-fonts.install b/ttf-malayalam-fonts.install
new file mode 100755
index 00000000000..26e912fe9c2
--- /dev/null
+++ b/ttf-malayalam-fonts.install
@@ -0,0 +1,15 @@
+post_install() {
+ echo "Running fc-cache to update font cache"
+ fc-cache -fs
+ mkfontscale usr/share/fonts/TTF
+ mkfontdir usr/share/fonts/TTF
+ echo "Finished updating font cache"
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}